> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video To Casestudy

> Generate a structured case study HTML from a transcript.



## OpenAPI

````yaml POST /features/video-to-casestudy
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/video-to-casestudy:
    post:
      description: Generate a structured case study HTML from a transcript.
      requestBody:
        description: Case study generation parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoToCaseStudyRequest'
        required: true
      responses:
        '200':
          description: Case study generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoToCaseStudyResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    VideoToCaseStudyRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Text of the review
    VideoToCaseStudyResponse:
      type: object
      properties:
        case_study_html:
          type: string
          description: HTML content
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````